Permalink
Fetching contributors…
Cannot retrieve contributors at this time
98 lines (97 sloc) 2.43 KB
{
"name": "urequire",
"description": "Convert AMD & commonjs modules to UMD, AMD, commonjs or `combined.js` (rjs & almond) & run/test on nodejs, Web/AMD or Web/Script. Manipulate & inject module code & dependencies while building & more",
"version": "0.7.0-beta.29",
"homepage": "http://uRequire.org",
"author": {
"name": "Agelos Pikoulas",
"email": "agelos.pikoulas@gmail.com"
},
"license": "MIT",
"keywords": [
"javascript",
"convert",
"commonjs",
"AMD",
"UMD",
"dependencies",
"module",
"converter",
"conversion",
"requirejs",
"require",
"define",
"resources",
"assets",
"pipeline",
"workflow"
],
"repository": {
"type": "git",
"url": "git://github.com/anodynos/uRequire"
},
"bugs": {
"url": "http://github.com/anodynos/uRequire/issues",
"email": "agelos.pikoulas@gmail.com"
},
"main": "./build/code/urequire.js",
"preferGlobal": false,
"scripts": {
"test": "grunt"
},
"directories": {
"doc": "./doc",
"dist": "./build"
},
"engines": {
"node": ">=4 <=5"
},
"dependencies": {
"almond": "0.3.x",
"butter-require": ">=0.0.3",
"coffee-script": "~1.10",
"escodegen": "^1.x",
"esprima": "2.x",
"fsp": "0.1.x",
"chokidar": "1.x",
"glob-expand": ">=0.0.2",
"umatch": "0.2.x",
"lodash": "~3.10.x",
"minimatch": "3.x",
"mkdirp": "0.5.x",
"moment": "~2.13",
"require-clean": "~0.1.1",
"requirejs": "2.2.x",
"rimraf": "2.5.x",
"upath": "^0.1.7",
"uberscore": "0.0.19",
"uglify-js": "^2.6.2",
"underscore.string": "3.x.x",
"urequire-rc-coco": "^0.1.2",
"urequire-rc-babeljs": "^0.1.0",
"babel-preset-es2015": "^6.6.0",
"urequire-rc-coffee-script": "^0.1.4",
"urequire-rc-livescript": "^0.1.0",
"when": "^3.7.5"
},
"devDependencies": {
"chai": "3.5.x",
"chai-as-promised": "~5.3.0",
"grunt": "0.4.5",
"grunt-contrib-clean": "^1.0.0",
"grunt-contrib-copy": "^1.0.0",
"grunt-contrib-watch": "0.5.x",
"grunt-urequire": "^0.7.3",
"load-grunt-tasks": "^3.5.0",
"mocha": "~2.5.0",
"teacup": "0.4.x",
"urequire": "0.7.0-beta.27",
"urequire-ab-specrunner": "^0.2.5",
"urequire-rc-exec": "^0.1.2",
"urequire-rc-import-keys": "^0.1.4",
"urequire-rc-inject-version": "^0.1.6",
"urequire-rc-less": "^0.1.2",
"urequire-rc-teacup-js": "^0.2.1",
"urequire-rc-teacup-js2html": "^0.2.1"
}
}